PCP-BUDDYINFO(1)

NAME
pcp-buddyinfo - Report statistics for buddy algorithm shown in /proc/buddyinfo

SYNOPSIS
pcp [pcp options] buddyinfo [-Vz?] [-s samples] [-a archive] [-Z timezone]

DESCRIPTION
The pcp-buddyinfo command is used for viewing different stats related to buddyinfo. It helps users analyze useful information related to the buddy algorithm. The information includes the total number of zones that are currently active, order pages etc. By default, pcp-buddyinfo reports live data for the local host. The statistics shown are as follows:
HEADER DESCRIPTION
_ _
Normal zones available
Nodes available nodes
Order0 available pages of order 0
Order1 available pages of order 1
Order2 available pages of order 2
Order3 available pages of order 3
Order4 available pages of order 4
Order5 available pages of order 5
Order6 available pages of order 6
Order7 available pages of order 7
Order8 available pages of order 8
Order9 available pages of order 9
Order10 available pages of order 10
Each column represents the number of pages of a certain order (a certain size) that are available at any given time. For example, for zone DMA (direct memory access), there are 90 of 2^(0*PAGE_SIZE) chunks of memory. Similarly, there are 6 of 2^(1*PAGE_SIZE) chunks, and 2 of 2^(2*PAGE_SIZE) chunks of memory available.

The DMA row references the first 16 MB on a system, the HighMem row references all memory greater than 4 GB on a system, and the Normal row references all memory in between.

OPTIONS

-a file, --archive=file
    Fetch /proc/buddyinfo metrics for the specified archive file

-s count, --samples=count
    Get the buddyinfo statistics for specified number of samples count

-z, --hostzone
    Use the local timezone of the host that is the source of the performance metrics, as identified by either the -h or the -a options. The default is to use the timezone of the local host.

-Z timezone, --timezone=timezone
    Use timezone for the date and time. Timezone is in the format of the environment variable TZ as described in environ(7).

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

NOTES
pcp-buddyinfo collects information from /proc/buddyinfo Linux kernel file.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3), environ(7).